Skip to main content
POST
/
v3
/
batches
/
{batch}
/
items
Add Batch Items
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/batches/{batch}/items \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "external_id": "<string>",
      "entity_id": "<string>",
      "error": "<string>"
    }
  ]
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/batches/{batch}/items"

payload = { "items": [
{
"external_id": "<string>",
"entity_id": "<string>",
"error": "<string>"
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({items: [{external_id: '<string>', entity_id: '<string>', error: '<string>'}]})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/batches/{batch}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "import_job_id": 123,
    "entity_type": "<string>",
    "total_count": 123,
    "status": "<string>",
    "success_count": "<string>",
    "failed_count": "<string>",
    "processed_count": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "items": [
      {
        "id": 123,
        "entity_id": "<string>",
        "external_id": "<string>",
        "status": "<string>",
        "error": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

batch
string
required

The batch UUID

Body

application/json
items
object[]
required
Required array length: 1 - 500 elements

Response

Batch

data
Batch · object
required